Package org.jfree.report.expressions

# Class ReportFormulaContext

java.lang.Object
org.jfree.report.expressions.ReportFormulaContext

All Implemented Interfaces:
  `org.pentaho.reporting.libraries.formula.FormulaContext`

public class ReportFormulaContext extends Object implements org.pentaho.reporting.libraries.formula.FormulaContext
Creation-Date: 29.11.2006, 17:54:33

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`ReportFormulaContext(org.pentaho.reporting.libraries.formula.FormulaContext backend, DataRow dataRow)`

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`DataRow`
`getDataRow()`
`Object`
`getDeclaringElement()`
`org.pentaho.reporting.libraries.formula.function.FunctionRegistry`
`getFunctionRegistry()`
`org.pentaho.reporting.libraries.formula.LocalizationContext`
`getLocalizationContext()`
`org.pentaho.reporting.libraries.formula.operators.OperatorFactory`
`getOperatorFactory()`
`org.pentaho.reporting.libraries.formula.typing.TypeRegistry`
`getTypeRegistry()`
`boolean`
`isReferenceDirty(Object name)`
`Object`
`resolveReference(Object name)`
`org.pentaho.reporting.libraries.formula.typing.Type`
`resolveReferenceType(Object name)`
`void`
`setDataRow(DataRow dataRow)`
`void`
`setDeclaringElement(Object declaringElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportFormulaContext

public ReportFormulaContext(org.pentaho.reporting.libraries.formula.FormulaContext backend, DataRow dataRow)

## Method Details

### getLocalizationContext

public org.pentaho.reporting.libraries.formula.LocalizationContext getLocalizationContext()

Specified by:
  `getLocalizationContext` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getConfiguration

public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

Specified by:
  `getConfiguration` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getFunctionRegistry

public org.pentaho.reporting.libraries.formula.function.FunctionRegistry getFunctionRegistry()

Specified by:
  `getFunctionRegistry` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getTypeRegistry

public org.pentaho.reporting.libraries.formula.typing.TypeRegistry getTypeRegistry()

Specified by:
  `getTypeRegistry` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getOperatorFactory

public org.pentaho.reporting.libraries.formula.operators.OperatorFactory getOperatorFactory()

Specified by:
  `getOperatorFactory` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### isReferenceDirty

public boolean isReferenceDirty(Object name) throws org.pentaho.reporting.libraries.formula.ContextEvaluationException

Specified by:
  `isReferenceDirty` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`
Throws:
  `org.pentaho.reporting.libraries.formula.ContextEvaluationException`

### resolveReferenceType

public org.pentaho.reporting.libraries.formula.typing.Type resolveReferenceType(Object name)

Specified by:
  `resolveReferenceType` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### resolveReference

public Object resolveReference(Object name) throws org.pentaho.reporting.libraries.formula.ContextEvaluationException

Specified by:
  `resolveReference` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`
Throws:
  `org.pentaho.reporting.libraries.formula.ContextEvaluationException`

### getDataRow

public DataRow getDataRow()

### setDataRow

public void setDataRow(DataRow dataRow)

### getDeclaringElement

public Object getDeclaringElement()

### setDeclaringElement

public void setDeclaringElement(Object declaringElement)